package com.ruoyi.business.service;

import java.util.List;

import com.ruoyi.business.domain.ApplyPlan;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.business.domain.bo.AddApplyPlanBO;

/**
 * 应用执行计划管理Service接口
 *
 * @author LiuChengRan
 * @date 2024-06-14
 */
public interface IApplyPlanService extends IService<ApplyPlan> {

    /**
     * 执行计划
     * @param addApplyPlanBO
     * @return
     */
    boolean execPlan() throws IllegalAccessException;

    /**
     * 创建计划
     * @param addApplyPlanBO
     * @return
     */
    boolean save(AddApplyPlanBO addApplyPlanBO);

    /**
     * 修改计划
     * @param addApplyPlanBO
     * @return
     */
    boolean update(AddApplyPlanBO addApplyPlanBO);
    /**
     * 查询应用执行计划管理列表
     *
     * @param applyPlan 应用执行计划管理
     * @return 应用执行计划管理集合
     */
    List<ApplyPlan> list(ApplyPlan applyPlan);

}
